/*	Copyright Alex Hornby 1994/1995. All rights reserved.
 	See file README for details
*/

#include "player.h"

Player :: Player() : Sprite()
{
	score=0;
	dir=STRAIGHT;
	alive=TRUE;
	lives=NUMLIVES;
}

Player :: Player( const Player& p) : Sprite(p)
{
	score=p.score;
	alive=p.alive;
	dir=p.dir;
	lives=p.lives;
}

Player& 
Player :: operator=(const Player& p)
{
	Sprite::operator=(p);
	return *this;
}
